@import (reference) '../../less/platoreso.less';

#chat {
  .conversation-messages {
    right: 0;
    bottom: @chatHeight;
    width: 35vw;
    min-width: 300px;
    max-width: 100vw;
    height: 60vh;
    min-height: 200px;
    max-height: 90vh;
    background: @white;
    box-shadow: rgba(0, 0, 0, 0.25) 0 0 5px;

    .title-bar {
      display: flex;
      flex: 0 0 auto;
      background-color: #263238;
      color: @lightColorInverted;
      padding: 0.5em 0.75em;
      font-weight: 600;
      .title {
        flex: 1 1 auto;
        a {
          color: @lightColorInverted;
        }
        .slug {
          color: @colorInverted;
          font-size: 0.833em;
        }
      }
      .actions {
        flex: 0 0 auto;
        .icon {
          margin: 0;
        }
        .action {
          &.close {
            cursor: pointer;
          }
        }
      }
    }

    .ui.comments {
      font-size: 0.85em;
      .attachment {
        max-width: 170px;
      }
    }
  }
}